Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509.qualified
Class BiometricData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.qualified.BiometricData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class BiometricData
extends ASN1Object

The BiometricData object. BiometricData ::= SEQUENCE { typeOfBiometricData TypeOfBiometricData, hashAlgorithm AlgorithmIdentifier, biometricDataHash OCTET STRING, sourceDataUri IA5String OPTIONAL }

Constructor Summary
`BiometricData(TypeOfBiometricData typeOfBiometricData, AlgorithmIdentifier hashAlgorithm, ASN1OctetString biometricDataHash)`
`BiometricData(TypeOfBiometricData typeOfBiometricData, AlgorithmIdentifier hashAlgorithm, ASN1OctetString biometricDataHash, ASN1IA5String sourceDataUri)`

Method Summary
`ASN1OctetString` | `getBiometricDataHash()`
`AlgorithmIdentifier` | `getHashAlgorithm()`
`static BiometricData` | `getInstance(java.lang.Object obj)`
`DERIA5String` | `getSourceDataUri()` Deprecated. Use `getSourceDataUriIA5()` instead.
`ASN1IA5String` | `getSourceDataUriIA5()`
`TypeOfBiometricData` | `getTypeOfBiometricData()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiometricData

    public BiometricData(TypeOfBiometricData typeOfBiometricData,
                         AlgorithmIdentifier hashAlgorithm,
                         ASN1OctetString biometricDataHash,
                         ASN1IA5String sourceDataUri)

### BiometricData

    public BiometricData(TypeOfBiometricData typeOfBiometricData,
                         AlgorithmIdentifier hashAlgorithm,
                         ASN1OctetString biometricDataHash)

Method Detail

### getInstance

    public static BiometricData getInstance(java.lang.Object obj)

### getTypeOfBiometricData

    public TypeOfBiometricData getTypeOfBiometricData()

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getBiometricDataHash

    public ASN1OctetString getBiometricDataHash()

### getSourceDataUri

    public DERIA5String getSourceDataUri()

  Deprecated. Use `getSourceDataUriIA5()` instead.

### getSourceDataUriIA5

    public ASN1IA5String getSourceDataUriIA5()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD